libstdc++: std::ranges::empty_view< _Tp > Class Template Reference

libstdc++

std::ranges::empty_view< _Tp > Class Template Reference

`#include <ranges>`

Inheritance diagram for std::ranges::empty_view< _Tp >:
[legend]

## Public Member Functions
constexpr decltype(auto) | back ()
constexpr auto | cbegin ()
constexpr auto | cend ()
constexpr decltype(auto) | front ()
constexpr | operator bool () noexcept(noexcept(ranges::empty(_M_derived())))
constexpr decltype(auto) | operator[] (range_difference_t< _Range > __n)

## Static Public Member Functions
static constexpr _Tp * | begin () noexcept
static constexpr _Tp * | data () noexcept
static constexpr bool | empty () noexcept
static constexpr _Tp * | end () noexcept
static constexpr size_t | size () noexcept

## Detailed Description

template<typename _Tp>
requires is_object_v<_Tp>
class std::ranges::empty_view< _Tp >

A view that contains no elements.

Definition at line 108 of file ranges.

## Member Function Documentation

## ◆ back()

decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::back | ( |  | ) |
| inlineconstexprinherited

Definition at line 176 of file ranges_util.h.

## ◆ begin()

template<typename _Tp>

constexpr _Tp * std::ranges::empty_view< _Tp >::begin | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 112 of file ranges.

## ◆ cbegin()

auto std::ranges::view_interface< empty_view< _Tp > >::cbegin | ( |  | ) |
| inlineconstexprinherited

Definition at line 204 of file ranges_util.h.

## ◆ cend()

auto std::ranges::view_interface< empty_view< _Tp > >::cend | ( |  | ) |
| inlineconstexprinherited

Definition at line 212 of file ranges_util.h.

## ◆ data()

template<typename _Tp>

constexpr _Tp * std::ranges::empty_view< _Tp >::data | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 114 of file ranges.

## ◆ empty()

template<typename _Tp>

constexpr bool std::ranges::empty_view< _Tp >::empty | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 116 of file ranges.

## ◆ end()

template<typename _Tp>

constexpr _Tp * std::ranges::empty_view< _Tp >::end | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 113 of file ranges.

## ◆ front()

decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::front | ( |  | ) |
| inlineconstexprinherited

Definition at line 162 of file ranges_util.h.

## ◆ operator bool()

std::ranges::view_interface< empty_view< _Tp > >::operator bool | ( |  | ) |
| inlineexplicitconstexprnoexceptinherited

Definition at line 128 of file ranges_util.h.

## ◆ operator[]()

decltype(auto) std::ranges::view_interface< empty_view< _Tp > >::operator[] | ( | range_difference_t< _Range > | __n | ) |
| inlineconstexprinherited

Definition at line 194 of file ranges_util.h.

## ◆ size()

template<typename _Tp>

constexpr size_t std::ranges::empty_view< _Tp >::size | ( |  | ) |
| inlinestaticconstexprnoexcept

Definition at line 115 of file ranges.

The documentation for this class was generated from the following file:

- ranges